import { useMutation, useQuery } from "@tanstack/react-query";
import * as api from "../service/JobsService";

export const useGetJobs = () => {
  return useQuery({
    queryKey: ["jobs"],
    queryFn: api.getJobs,
  });
};

export const useSendResume = () => {
  return useMutation({
    mutationFn: api.sendResume,
  });
};

export const useUploadSingleFile = () => {
  return useMutation({
    mutationFn: api.uploadSingleFile,
  });
};
